"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _MultiselectTag = _interopRequireDefault(require("./MultiselectTag"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function MultiselectTagList({
  id,
  value,
  textAccessor,
  label,
  disabled,
  onDelete,
  children,
  clearTagIcon,
  renderTagValue,
  tagOptionComponent: TagOption = _MultiselectTag.default
}) {
  return _react.default.createElement("div", {
    id: id,
    role: "listbox",
    "aria-label": label,
    className: "rw-multiselect-taglist"
  }, value.map((item, i) => {
    return _react.default.createElement(TagOption, {
      key: i,
      dataItem: item,
      onRemove: onDelete,
      clearTagIcon: clearTagIcon,
      disabled: disabled === null || disabled === void 0 ? void 0 : disabled.includes(item)
    }, renderTagValue ? renderTagValue({
      item
    }) : textAccessor(item));
  }), children);
}

var _default = MultiselectTagList;
exports.default = _default;